org.apache.hadoop.mapreduce.v2.app.job.event

## Class JobCounterUpdateEvent

- java.lang.Object
- - org.apache.hadoop.yarn.event.AbstractEvent<JobEventType>
  - - org.apache.hadoop.mapreduce.v2.app.job.event.JobEvent
    - - org.apache.hadoop.mapreduce.v2.app.job.event.JobCounterUpdateEvent

- All Implemented Interfaces:
    org.apache.hadoop.yarn.event.Event<JobEventType>

      public class JobCounterUpdateEvent
      extends JobEvent

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JobCounterUpdateEvent.CounterIncrementalUpdate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobCounterUpdateEvent(org.apache.hadoop.mapreduce.v2.api.records.JobId jobId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCounterUpdate(Enum<?> key, long incrValue)`
    `List<JobCounterUpdateEvent.CounterIncrementalUpdate>` | `getCounterUpdates()`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.v2.app.job.event.JobEvent

      `getJobId`

    - ### Methods inherited from class org.apache.hadoop.yarn.event.AbstractEvent

      `getTimestamp, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobCounterUpdateEvent

          public JobCounterUpdateEvent(org.apache.hadoop.mapreduce.v2.api.records.JobId jobId)

  - ### Method Detail

    - #### addCounterUpdate

          public void addCounterUpdate(Enum<?> key,
                                       long incrValue)

    - #### getCounterUpdates

          public List<JobCounterUpdateEvent.CounterIncrementalUpdate> getCounterUpdates()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.